﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCEPFP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_MENU') 
 CREATE TABLE T_OCEPFP_MENU (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMENUGROUPID BIGINT DEFAULT 0 NOT NULL,
FVIEWID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_MENU_L') 
 CREATE TABLE T_OCEPFP_MENU_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_MENUGROUP') 
 CREATE TABLE T_OCEPFP_MENUGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMODULEID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_MENUGROUP_L') 
 CREATE TABLE T_OCEPFP_MENUGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_MODULE') 
 CREATE TABLE T_OCEPFP_MODULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FICON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPORTALID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_MODULE_L') 
 CREATE TABLE T_OCEPFP_MODULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_PLATFORM_L') 
 CREATE TABLE T_OCEPFP_PLATFORM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_LOGININFO') 
 CREATE TABLE T_OCEPFP_LOGININFO (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FLOGINTIME DATETIME,
FISDEFALUTTHEME CHAR(1) DEFAULT '0' NOT NULL,
FISCUSTOMTHEME CHAR(1) DEFAULT '0' NOT NULL,
FTHEMECOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTABSHOWTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAGEOPENTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_SCROLLIMAGE') 
 CREATE TABLE T_OCEPFP_SCROLLIMAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FPORTALID BIGINT DEFAULT 0 NOT NULL,
FPICTURE1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE3 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE4 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE5 NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_APP') 
 CREATE TABLE T_OCEPFP_APP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSVNPATH VARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_APP_L') 
 CREATE TABLE T_OCEPFP_APP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_PLTF_CONFIG') 
 CREATE TABLE T_OCEPFP_PLTF_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCARDDETAIL NCLOB,
FPLATFORMID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID NVARCHAR(32) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FISSYSTEM CHAR(1) DEFAULT '0' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_PLTF_CONFIG_L') 
 CREATE TABLE T_OCEPFP_PLTF_CONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FCARDLANGID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_GLOBALPARAM') 
 CREATE TABLE T_OCEPFP_GLOBALPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPARAMETERTYPE CHAR(1) DEFAULT '1' NOT NULL,
FPARAMETERVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_PLATFORM') 
 CREATE TABLE T_OCEPFP_PLATFORM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHOMEPAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FCLIENTTYPE CHAR(1) DEFAULT '1' NOT NULL,
FMINIPLOGINPAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPCLOGINPAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMOBILELOGINPAGE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_MEMBERLOGININFO') 
 CREATE TABLE T_OCEPFP_MEMBERLOGININFO (
FID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FLOGINTIME DATETIME,
FTOKEN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPENID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPENID_ENP NCLOB,
FAPPID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIONID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIONID_ENP NCLOB,
FSESSIONKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSESSIONKEY_ENP NCLOB,
FHEADIMAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNICKNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_VIEW') 
 CREATE TABLE T_OCEPFP_VIEW (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FVIEWKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXTEND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPEND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAIL NCLOB,
FSUBPACKAGE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVERSION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISLOGIN CHAR(1) DEFAULT '1' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FAPPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_CART_L') 
 CREATE TABLE T_OCEPFP_CART_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCEPFP_CART') 
 CREATE TABLE T_OCEPFP_CART (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYRELATION CHAR(1) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCEPFP_table.sql **/
