﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCEPFP_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCEPFP_MENU', 'T_OCEPFP_MENU', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_MENU_NUM') CREATE INDEX IDX_OCEPFP_MENU_NUM ON T_OCEPFP_MENU ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCEPFP_MENU_L', 'T_OCEPFP_MENU_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_MENUL_FLID') CREATE INDEX IDX_OCEPFP_MENUL_FLID ON T_OCEPFP_MENU_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCEPFP_MENUGROUP', 'T_OCEPFP_MENUGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_MENUGOURP_NUM') CREATE INDEX IDX_OCEPFP_MENUGOURP_NUM ON T_OCEPFP_MENUGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCEPFP_MENUGROUP_L', 'T_OCEPFP_MENUGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_MENUGROUPL_FLID') CREATE INDEX IDX_OCEPFP_MENUGROUPL_FLID ON T_OCEPFP_MENUGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCEPFP_MODULE', 'T_OCEPFP_MODULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_MODULE_NUM') CREATE INDEX IDX_OCEPFP_MODULE_NUM ON T_OCEPFP_MODULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCEPFP_MODULE_L', 'T_OCEPFP_MODULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_MODULEL_FLID') CREATE INDEX IDX_OCEPFP_MODULEL_FLID ON T_OCEPFP_MODULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCEPFP_PLATFORM_L', 'T_OCEPFP_PLATFORM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_PLATFORML_FLID') CREATE INDEX IDX_OCEPFP_PLATFORML_FLID ON T_OCEPFP_PLATFORM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCEPFP_LOGININFO', 'T_OCEPFP_LOGININFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_LOGININFO_USER') CREATE INDEX IDX_OCEPFP_LOGININFO_USER ON T_OCEPFP_LOGININFO ( FUSERID );


 EXEC P_ALTERPK 'PK_OCEPFP_SCROLLIMAGE', 'T_OCEPFP_SCROLLIMAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_SCROLLIMAGE_NUM') CREATE INDEX IDX_OCEPFP_SCROLLIMAGE_NUM ON T_OCEPFP_SCROLLIMAGE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCEPFP_APP', 'T_OCEPFP_APP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_APP_NUM') CREATE INDEX IDX_OCEPFP_APP_NUM ON T_OCEPFP_APP ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCEPFP_APP_L', 'T_OCEPFP_APP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_APP_FLID') CREATE INDEX IDX_OCEPFP_APP_FLID ON T_OCEPFP_APP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCEPFP_PLTF_CONFIG', 'T_OCEPFP_PLTF_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_PLTFCONFIG_NUM') CREATE INDEX IDX_OCEPFP_PLTFCONFIG_NUM ON T_OCEPFP_PLTF_CONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCEPFP_PLTF_CONFIG_L', 'T_OCEPFP_PLTF_CONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_PLTFCONFIGL_FLID') CREATE INDEX IDX_OCEPFP_PLTFCONFIGL_FLID ON T_OCEPFP_PLTF_CONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCEPFP_GLOBALPARAM', 'T_OCEPFP_GLOBALPARAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_GLOBAPARAM_NUM') CREATE INDEX IDX_OCEPFP_GLOBAPARAM_NUM ON T_OCEPFP_GLOBALPARAM ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCEPFP_PLATFORM', 'T_OCEPFP_PLATFORM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_PLATFORM_NUM') CREATE INDEX IDX_OCEPFP_PLATFORM_NUM ON T_OCEPFP_PLATFORM ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCEPFP_MEMBERLOGININFO', 'T_OCEPFP_MEMBERLOGININFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_MEMBERLOGININFO_TKN') CREATE INDEX IDX_OCEPFP_MEMBERLOGININFO_TKN ON T_OCEPFP_MEMBERLOGININFO ( FTOKEN );


 EXEC P_ALTERPK 'PK_OCEPFP_VIEW', 'T_OCEPFP_VIEW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_VIEW_KEY') CREATE UNIQUE INDEX IDX_OCEPFP_VIEW_KEY ON T_OCEPFP_VIEW ( FVIEWKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_VIEW_APP') CREATE INDEX IDX_OCEPFP_VIEW_APP ON T_OCEPFP_VIEW ( FAPPID );


 EXEC P_ALTERPK 'PK_OCEPFP_CART_L', 'T_OCEPFP_CART_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_CART_FLID') CREATE INDEX IDX_OCEPFP_CART_FLID ON T_OCEPFP_CART_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCEPFP_CART', 'T_OCEPFP_CART', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCEPFP_CART_USOID') CREATE INDEX IDX_OCEPFP_CART_USOID ON T_OCEPFP_CART ( FUSERID ,FSALEORGID ,FORDERCHANNELID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCEPFP_constraint.sql **/
